/**
 * Copyright (c) 2016, Oxdate Foundation
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for exclusive use with OxDate Dating Software (http://www.oxdate.org) and is licensed under OxDate Exclusive License by Oxdate Foundation.
 *
 * Full text of this license can be found at http://www.opensource.org/licenses/bsd-license.php
 */
var BOOKMARKS = (function($)
{
    var actionUrl = window.bookmarksActionUrl;
    
    return {
        markState: function(userId, callback)
        {
            if ( !userId || !callback )
            {
                return;
            }
            
            $.ajax({
                url: actionUrl,
                cache: false,
                data: {userId: userId},
                dataType: "json",
                type: "POST",
                success: callback,
                error: function( jqXHR, textStatus, errorThrown )
                {
                    OW.error(textStatus);
                    throw textStatus;
                }
            });
        }
    };
})(jQuery);
